Bug 203203 - www/node: Update to 4.1.0
Summary: www/node: Update to 4.1.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Po-Chuan Hsieh
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-09-19 08:33 UTC by Douglas Carmichael
Modified: 2015-09-24 03:16 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (linpct)


Attachments
Patch to update port to node 4.1.0. (7.70 KB, text/plain)
2015-09-19 08:33 UTC, Douglas Carmichael
no flags Details
node.patch (6.46 KB, text/plain)
2015-09-21 02:08 UTC, linpct
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Douglas Carmichael 2015-09-19 08:33:11 UTC
Created attachment 161181 [details]
Patch to update port to node 4.1.0.

I have updated www/node to version 4.1.0.

A patch is attached.
Comment 1 linpct 2015-09-21 01:14:48 UTC
Thanks for this pr, I'm testing now.
Comment 2 linpct 2015-09-21 02:08:54 UTC
Created attachment 161217 [details]
node.patch
Comment 3 linpct 2015-09-21 04:11:27 UTC
Hi, I've test the patch and it's okay.

Please help to:
1. use my node.patch, I modifies the pkg-plist for some small fixes.
2. before update www/node to 4.1.0, please copy it to www/node012.
3. please drop www/node010.
4. please drop www/iojs if it's not update any more.

Thanks.
Comment 4 commit-hook freebsd_committer 2015-09-23 20:15:00 UTC
A commit references this bug:

Author: sunpoet
Date: Wed Sep 23 20:14:18 UTC 2015
New revision: 397652
URL: https://svnweb.freebsd.org/changeset/ports/397652

Log:
  - Add node012 0.12.7 (copied from node)

  PR:		203203
  Submitted by:	Daniel Lin <linpct@gmail.com> (maintainer)

Changes:
  head/www/Makefile
  head/www/node012/
Comment 5 commit-hook freebsd_committer 2015-09-23 20:16:02 UTC
A commit references this bug:

Author: sunpoet
Date: Wed Sep 23 20:15:34 UTC 2015
New revision: 397653
URL: https://svnweb.freebsd.org/changeset/ports/397653

Log:
  - Remove www/iojs

  PR:		203203
  Submitted by:	Daniel Lin <linpct@gmail.com> (maintainer)

Changes:
  head/www/Makefile
  head/www/iojs/
Comment 6 commit-hook freebsd_committer 2015-09-23 20:16:04 UTC
A commit references this bug:

Author: sunpoet
Date: Wed Sep 23 20:15:39 UTC 2015
New revision: 397654
URL: https://svnweb.freebsd.org/changeset/ports/397654

Log:
  - Update to 4.1.1
  - While I'm here:
    - Fix build: add more REINPLACE_CMD to post-patch: (copied from www/iojs)
    - Add DOCS option
    - Use CONFLICTS_INSTALL instead of CONFLICTS
    - Add blank line after .include <bsd.port.pre.mk>

  Changes:	https://github.com/nodejs/node/blob/master/CHANGELOG.md
  PR:		203203
  Submitted by:	<dcarmich@dcarmichael.net>
  Approved by:	Daniel Lin <linpct@gmail.com> (maintainer)

Changes:
  head/www/node/Makefile
  head/www/node/distinfo
  head/www/node/files/
  head/www/node/pkg-plist
Comment 7 Po-Chuan Hsieh freebsd_committer 2015-09-23 20:24:08 UTC
Committed. Thanks!
Comment 8 linpct 2015-09-24 03:16:28 UTC
Thanks for big changes and hard work!

I forgot to remind that big change should update /usr/ports/UPDATING.

Because we update www/node, create www/node012 and remove www/iojs.

Thanks.